---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libLockingThread.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Java_nsk_share_locks_LockingThread_nativeJNIMonitorEnter, symObjAddr: 0x0, symBinAddr: 0x3740, symSize: 0x160 }
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0xEBCC, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0xEBD4, symBinAddr: 0x805C, symSize: 0x0 }
  - { offsetInCU: 0x4A32, offset: 0x4A32, size: 0x8, addend: 0x0, symName: _Java_nsk_share_locks_LockingThread_nativeJNIMonitorEnter, symObjAddr: 0x0, symBinAddr: 0x3740, symSize: 0x160 }
  - { offsetInCU: 0x4CBD, offset: 0x4CBD, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x160, symBinAddr: 0x38A0, symSize: 0x28 }
  - { offsetInCU: 0x4D39, offset: 0x4D39, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x188, symBinAddr: 0x38C8, symSize: 0x30 }
  - { offsetInCU: 0x4DB6, offset: 0x4DB6, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x434, symBinAddr: 0x39C0, symSize: 0x20C }
  - { offsetInCU: 0x4F48, offset: 0x4F48, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x360, symBinAddr: 0x3920, symSize: 0xA0 }
  - { offsetInCU: 0x4FDD, offset: 0x4FDD, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x338, symBinAddr: 0x38F8, symSize: 0x28 }
...
